Package com.emc.d2fs.models.application

# Class Application

java.lang.Object
com.emc.d2fs.models.application.Application

All Implemented Interfaces:
  `Serializable`

public class Application extends Object implements Serializable

Java class for application complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="application">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="applicationName" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="applicationLabel" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="applicationParameter" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="isIncludedAtLogin" use="required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Application()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getApplicationLabel()`
  Gets the value of the applicationLabel property.
  `String`
  `getApplicationName()`
  Gets the value of the applicationName property.
  `String`
  `getApplicationParameter()`
  Gets the value of the applicationParameter property.
  `boolean`
  `isIsIncludedAtLogin()`
  Gets the value of the isIncludedAtLogin property.
  `void`
  `setApplicationLabel(String value)`
  Sets the value of the applicationLabel property.
  `void`
  `setApplicationName(String value)`
  Sets the value of the applicationName property.
  `void`
  `setApplicationParameter(String value)`
  Sets the value of the applicationParameter property.
  `void`
  `setIsIncludedAtLogin(boolean value)`
  Sets the value of the isIncludedAtLogin property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Application

    public Application()

- ## Method Details

  - ### getApplicationName

    public String getApplicationName()
    Gets the value of the applicationName property.
    Returns:
      possible object is `String`

  - ### setApplicationName

    public void setApplicationName(String value)
    Sets the value of the applicationName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getApplicationLabel

    public String getApplicationLabel()
    Gets the value of the applicationLabel property.
    Returns:
      possible object is `String`

  - ### setApplicationLabel

    public void setApplicationLabel(String value)
    Sets the value of the applicationLabel property.
    Parameters:
      `value` - allowed object is `String`

  - ### getApplicationParameter

    public String getApplicationParameter()
    Gets the value of the applicationParameter property.
    Returns:
      possible object is `String`

  - ### setApplicationParameter

    public void setApplicationParameter(String value)
    Sets the value of the applicationParameter property.
    Parameters:
      `value` - allowed object is `String`

  - ### isIsIncludedAtLogin

    public boolean isIsIncludedAtLogin()
    Gets the value of the isIncludedAtLogin property.

  - ### setIsIncludedAtLogin

    public void setIsIncludedAtLogin(boolean value)
    Sets the value of the isIncludedAtLogin property.